Debian Bug report logs - #594273
RM: libdigest-sha1-perl -- ROM; functionality provided by Digest::SHA

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Wed, 25 Aug 2010 04:15:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#594273; Package libdigest-sha1-perl. (Wed, 25 Aug 2010 04:15:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: remove libdigest-sha1-perl some time after Squeeze
Date: Wed, 25 Aug 2010 13:12:51 +0900
Package: libdigest-sha1-perl
Version: 2.13-1
Severity: important

I would like to get rid of this module after Squeeze has been released.
Its functionality is also provided by Digest::SHA (which is in core).

Switching from Digest::SHA1 to Digest::SHA should be as easy as
s,Digest::SHA1,Digest::SHA1,g as Digest::SHA only provides additional
functions (with the exception of sha1_transform which is no longer
present).  The (build-)dependency on libdigest-sha1-perl can then be
removed; Digest::SHA is already included in Lenny's perl.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#594273; Package libdigest-sha1-perl. (Sat, 23 Apr 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 23 Apr 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #8 received at 594273@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: debian-perl@lists.debian.org, 594273@bugs.debian.org
Subject: Deprecating Digest::SHA1
Date: Sat, 23 Apr 2011 22:10:58 +0200
[Message part 1 (text/plain, inline)]
Hi all

On Wed, Aug 25, 2010 at 01:12:51PM +0900, Ansgar Burchardt wrote:
> Package: libdigest-sha1-perl
> Version: 2.13-1
> Severity: important
> 
> I would like to get rid of this module after Squeeze has been released.
> Its functionality is also provided by Digest::SHA (which is in core).
> 
> Switching from Digest::SHA1 to Digest::SHA should be as easy as
> s,Digest::SHA1,Digest::SHA1,g as Digest::SHA only provides additional
> functions (with the exception of sha1_transform which is no longer
> present).  The (build-)dependency on libdigest-sha1-perl can then be
> removed; Digest::SHA is already included in Lenny's perl.

Ansgar already opened a bugreport on this at [1]. Joey Hess too
already pointed out the deprecation of Digest::SHA1 [2]. The
functionality of Digest::SHA1 is also provided by Digest::SHA.
 
 [1] http://bugs.debian.org/594273
 [2] http://bugs.debian.org/591091

We can try now to start with this. The following could be a possible
procedure/outline in two steps (any comments would be welcome!):

 1. Investigate the Debian Perl Group packages, and forward patches to
    upstream authors.
 2. After patches for the Perl modules are sent upstream announce
    #594273 on debian-devel for possible MBF and help out where
    possible to fix the packages (severity wishlist or normal)

If we get so far, that all packages could be fixed, remove
libdigest-sha1-perl from Debian archive.

Bests
Salvatore

The list of packages depending on libdigest-sha1-perl 
-----------------------------------------------------
libdigest-sha1-perl
Reverse Depends:
  vclt-tools
  syslinux-common
  libsql-translator-perl
  spamassassin
  smbldap-tools
  razor
  postgrey
  mimedefang
  libxml-atom-perl
  libuuid-tiny-perl
  librdf-trine-perl
  librdf-query-perl
  libpoe-component-jabber-perl
  libperl5i-perl
  libpar-perl
  libnet-xmpp-perl
  libnet-snmp-perl
  libnet-openid-server-perl
  libnet-openid-consumer-perl
  libnet-oauth-perl
  libnet-epp-perl
  libnet-dns-sec-perl
  libmoosex-storage-perl
  libimdb-film-perl
  libdigest-hmac-perl
  libdbix-class-cursor-cached-perl
  libdata-serializer-perl
  libcrypt-mysql-perl
  libcrypt-hcesha-perl
  libcgi-application-plugin-authentication-perl
  libcache-perl
  libcache-cache-perl
  libbloom-filter-perl
  libauthen-passphrase-perl
  libapache-htpasswd-perl
  kgb-client
  interchange
  ikiwiki-hosting-web
  gnupod-tools
  barnowl
  apt-cacher

The list of packages build-depending on libdigest-sha1-perl
-----------------------------------------------------------
Reverse Build-depends in contrib:
---------------------------------

No reverse build-depends found for libdigest-sha1-perl.

Reverse Build-depends in main:
------------------------------

libmoosex-storage-perl
libcrypt-openssl-dsa-perl
mimedefang
libcache-perl
libdbix-class-cursor-cached-perl
libperl5i-perl
libcache-cache-perl
libcgi-application-plugin-authentication-perl
libnet-openid-consumer-perl
razor
libbloom-filter-perl
libnet-epp-perl
libcrypt-mysql-perl
librdf-query-perl
libapache-htpasswd-perl
libnet-openid-server-perl
sqlfairy
libpoe-component-jabber-perl
libcrypt-hcesha-perl
libnet-xmpp-perl
gnupod-tools
libnet-dns-sec-perl
spamassassin
libuuid-tiny-perl
librdf-trine-perl
libauthen-passphrase-perl
interchange
libdigest-hmac-perl
libnet-oauth-perl
libdata-serializer-perl
libxml-atom-perl

Found a total of 31 reverse build-depend(s) for libdigest-sha1-perl.

Reverse Build-depends in non-free:
----------------------------------

No reverse build-depends found for libdigest-sha1-perl.

And the list of Maintainers (dd-list):
--------------------------------------
Krzysztof Krzyzaniak (eloy) <eloy@debian.org>
   libcache-cache-perl (U)
   libpar-perl (U)
   libxml-atom-perl (U)

Krzysztof Krzyżaniak (eloy) <eloy@debian.org>
   libdata-serializer-perl (U)

Stefan Hornburg (Racke) <racke@linuxia.de>
   interchange

Nicholas Bamber <nicholas@periapt.co.uk>
   libcgi-application-plugin-authentication-perl (U)
   libdata-serializer-perl (U)

Daniel Baumann <daniel.baumann@progress-technologies.net>
   syslinux

Eduard Bloch <blade@debian.org>
   apt-cacher (U)

Raphael Bossek <bossekr@debian.org>
   gnupod-tools

Ansgar Burchardt <ansgar@43-1.org>
   libauthen-passphrase-perl (U)
   libmoosex-storage-perl (U)

Chris Butler <chrisb@debian.org>
   libpar-perl (U)

Brian Cassidy <brian.cassidy@gmail.com>
   libnet-oauth-perl (U)
   libxml-atom-perl (U)

Jesus Climent <jesus.climent@hispalinux.es>
   spamassassin (U)

Kees Cook <kees@outflux.net>
   libpoe-component-jabber-perl (U)

Jon Daley <jondaley-guest@alioth.debian.org>
   postgrey (U)

Debian KGB Maintainers <kgb-maintainers@lists.alioth.debian.org>
   kgb-bot

Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
   libauthen-passphrase-perl
   libbloom-filter-perl
   libcache-cache-perl
   libcgi-application-plugin-authentication-perl
   libcrypt-mysql-perl
   libcrypt-openssl-dsa-perl
   libdata-serializer-perl
   libdbix-class-cursor-cached-perl
   libdigest-hmac-perl
   libmoosex-storage-perl
   libnet-epp-perl
   libnet-oauth-perl
   libnet-xmpp-perl
   libpar-perl
   libperl5i-perl
   libpoe-component-jabber-perl
   librdf-query-perl
   librdf-trine-perl
   libuuid-tiny-perl
   libxml-atom-perl
   sqlfairy

Eric Dorland <eric@debian.org>
   sqlfairy (U)

Zak B. Elep <zakame@spunge.org>
   libdigest-hmac-perl (U)

Martín Ferrari <tincho@debian.org>
   kgb-bot (U)

Jochen Friedrich <jochen@scram.de>
   libnet-snmp-perl

Jonas Genannt <jonas.genannt@capi2name.de>
   libcrypt-hcesha-perl

Nathan Handler <nhandler@ubuntu.com>
   libnet-oauth-perl (U)

Dominic Hargreaves <dom@earth.li>
   libcache-perl
   libnet-openid-consumer-perl
   libnet-openid-server-perl

Sam Hartman <hartmans@debian.org>
   barnowl

gregor herrmann <gregoa@debian.org>
   kgb-bot (U)
   libdata-serializer-perl (U)
   libdigest-hmac-perl (U)
   libnet-oauth-perl (U)
   libnet-xmpp-perl (U)
   libpar-perl (U)
   libperl5i-perl (U)
   libpoe-component-jabber-perl (U)
   libxml-atom-perl (U)

Joey Hess <joeyh@debian.org>
   ikiwiki-hosting

Mark Hindley <mark@hindley.org.uk>
   apt-cacher

Giuseppe Iuculano <giuseppe@iuculano.it>
   razor

Damyan Ivanov <dmn@debian.org>
   kgb-bot (U)
   libcrypt-openssl-dsa-perl (U)
   libdata-serializer-perl (U)
   libpar-perl (U)
   libxml-atom-perl (U)

Ivan Kohler <ivan-debian@420.am>
   libauthen-passphrase-perl (U)
   libcrypt-mysql-perl (U)
   libperl5i-perl (U)

Christoph Martin <christoph.martin@uni-mainz.de>
   mimedefang

Patrick Matthäi <pmatthaei@debian.org>
   vclt-tools (U)

Rene Mayorga <rmayorga@debian.org>
   libdata-serializer-perl (U)

Rene Mayorga <rmayorga@debian.org.sv>
   libxml-atom-perl (U)

Noah Meyerhans <noahm@debian.org>
   spamassassin

Ryan Niebur <ryanryan52@gmail.com>
   libpoe-component-jabber-perl (U)

Ryan Niebur <ryan@debian.org>
   sqlfairy (U)

Jonathan Oxer <jon@debian.org>
   apt-cacher (U)

Antonio Radici <antonio@dyne.org>
   libcache-cache-perl (U)
   libpar-perl (U)
   postgrey

Florian Ragwitz <rafl@debian.org>
   libnet-xmpp-perl (U)

Jose Luis Rivas <ghostbar38@gmail.com>
   libxml-atom-perl (U)

Otavio Salvador <otavio@debian.org>
   syslinux (U)

Philipp Schafft <lion@lion.leolix.org>
   vclt-tools

Carlo Segre <segre@debian.org>
   libdigest-hmac-perl (U)

Jonas Smedegaard <dr@jones.dk>
   libbloom-filter-perl (U)
   librdf-query-perl (U)
   librdf-trine-perl (U)

Christine Spang <christine@debian.org>
   libuuid-tiny-perl (U)

Tatsuki Sugiura <sugi@nemui.org>
   libapache-htpasswd-perl

Ondřej Surý <ondrej@debian.org>
   libnet-dns-sec-perl

Sergio Talens-Oliag <sto@debian.org>
   smbldap-tools

Niko Tyni <ntyni@iki.fi>
   libpar-perl (U)

Jaldhar H. Vyas <jaldhar@debian.org>
   libcgi-application-plugin-authentication-perl (U)
   libxml-atom-perl (U)

Gunnar Wolf <gwolf@debian.org>
   libdata-serializer-perl (U)
   libdigest-hmac-perl (U)
   libpar-perl (U)

Jonathan Yu <jawnsy@cpan.org>
   libdbix-class-cursor-cached-perl (U)
   libmoosex-storage-perl (U)
   libnet-epp-perl (U)
   libnet-oauth-perl (U)
   libpar-perl (U)
   libperl5i-perl (U)
   libuuid-tiny-perl (U)
   libxml-atom-perl (U)
   sqlfairy (U)

AGOSTINI Yves <agostini@univ-metz.fr>
   libnet-oauth-perl (U)

Bas Zoetekouw <bas@debian.org>
   libimdb-film-perl

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#594273; Package libdigest-sha1-perl. (Sun, 24 Apr 2011 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 24 Apr 2011 20:09:06 GMT) Full text and rfc822 format available.

Message #13 received at 594273@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: debian-perl@lists.debian.org, 594273@bugs.debian.org
Subject: Re: Deprecating Digest::SHA1
Date: Sun, 24 Apr 2011 22:07:36 +0200
[Message part 1 (text/plain, inline)]
Hi all

Based on the work already done I prepared a 'transition' package, as
subpage of our Team in the Debian Wiki:

 http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 594273: 625875, 625904, 636856, 630601, 624065, 636857, 625903, 636853, 636642, 636852, 625870, and 629612 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:15:27 GMT) Full text and rfc822 format available.

Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 18 Aug 2011 08:51:08 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Thu, 18 Aug 2011 08:51:23 GMT) Full text and rfc822 format available.

Message #20 received at 594273-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 594273-close@bugs.debian.org
Subject: Bug#594273: fixed in libnet-dns-sec-perl 0.16-2
Date: Thu, 18 Aug 2011 08:48:32 +0000
Source: libnet-dns-sec-perl
Source-Version: 0.16-2

We believe that the bug you reported is fixed in the latest version of
libnet-dns-sec-perl, which is due to be installed in the Debian FTP archive:

libnet-dns-sec-perl_0.16-2.debian.tar.gz
  to main/libn/libnet-dns-sec-perl/libnet-dns-sec-perl_0.16-2.debian.tar.gz
libnet-dns-sec-perl_0.16-2.dsc
  to main/libn/libnet-dns-sec-perl/libnet-dns-sec-perl_0.16-2.dsc
libnet-dns-sec-perl_0.16-2_all.deb
  to main/libn/libnet-dns-sec-perl/libnet-dns-sec-perl_0.16-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594273@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated libnet-dns-sec-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Aug 2011 10:27:02 +0200
Source: libnet-dns-sec-perl
Binary: libnet-dns-sec-perl
Architecture: source all
Version: 0.16-2
Distribution: unstable
Urgency: low
Maintainer: Ondřej Surý <ondrej@debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libnet-dns-sec-perl - DNSSEC extension to NET::DNS
Closes: 594273
Changes: 
 libnet-dns-sec-perl (0.16-2) unstable; urgency=low
 .
   * Update Vcs-* links
   * Remove Digest::SHA1 from dependencies (Closes: #594273)
Checksums-Sha1: 
 97233809d931ffd22008ef5106c509424dd9d9e6 1558 libnet-dns-sec-perl_0.16-2.dsc
 debbe7d1dbb515c9859fb46eee1b5287d670b3d4 2826 libnet-dns-sec-perl_0.16-2.debian.tar.gz
 b674222bc43e18c524ebfa766b009b1bca1514d4 93644 libnet-dns-sec-perl_0.16-2_all.deb
Checksums-Sha256: 
 ef7ccc384804af625472a39eb0e38c7f8c13555d852ca0650ad5476ca1c5b1e8 1558 libnet-dns-sec-perl_0.16-2.dsc
 a2c52c936a365cf21fafdd4b27f02e3a795232c6f8fc5cfb5d76ea2e18ee5f7a 2826 libnet-dns-sec-perl_0.16-2.debian.tar.gz
 1128eaa0fcae0ab0b7fa44ab127f7568e9e64eb931736d9c0227ebb009769ef5 93644 libnet-dns-sec-perl_0.16-2_all.deb
Files: 
 f1c47045dd61a89844523f5f1e899b3b 1558 perl optional libnet-dns-sec-perl_0.16-2.dsc
 f42693c0e45cce0ebd4fd24034a237a6 2826 perl optional libnet-dns-sec-perl_0.16-2.debian.tar.gz
 b37a815eaa49eb2294bb662c51772fd0 93644 perl optional libnet-dns-sec-perl_0.16-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5MzY0ACgkQ9OZqfMIN8nNWmACgjVeWaSJ61LsgA1KEOK9MNbzT
spEAn0ug0NfzqKHlj3MFHqAglhW953YB
=+mKW
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions libnet-dns-sec-perl/0.16-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Aug 2011 09:18:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#594273; Package libdigest-sha1-perl. (Sat, 12 Nov 2011 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 12 Nov 2011 13:42:03 GMT) Full text and rfc822 format available.

Message #27 received at 594273@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 594273@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Going towards libdigest-sha1-perl removal
Date: Sat, 12 Nov 2011 14:38:32 +0100
[Message part 1 (text/plain, inline)]
The last two remaining packages where uploaded today:

[14:32] < BTS> libnet-openid-consumer-perl 1.12-1 uploaded by Dominic Hargreaves <dom@earth.li> (Closes: #636856) http://packages.qa.debian.org/libnet-openid-consumer-perl
[14:32] < BTS> libnet-openid-server-perl 1.09-1 uploaded by Dominic Hargreaves <dom@earth.li> (Closes: #630601) http://packages.qa.debian.org/libnet-openid-server-perl
[14:36] < BTS> Closed #630601 in src:libnet-openid-server-perl by Dominic Hargreaves <dom@earth.li> «libnet-openid-server-perl: use Digest::SHA instead of Digest::SHA1 and drop
               (Build-)Depends(-Indep) on libdigest-sha1-perl». http://bugs.debian.org/630601
[14:36] < BTS> Closed #636856 in src:libnet-openid-consumer-perl by Dominic Hargreaves <dom@earth.li> «libnet-openid-consumer-perl: use of Digest::SHA and possibility to drop 
               libdigest-sha1-perl». http://bugs.debian.org/636856

We are now quite ready to drop libdigest-sha1-perl. Let's wait until
the two packages are migrated to testing. I will reassign the
bugreport then to ftp.debian.org (unless there are objections).

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#594273; Package libdigest-sha1-perl. (Tue, 22 Nov 2011 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 22 Nov 2011 13:12:10 GMT) Full text and rfc822 format available.

Message #32 received at 594273@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 594273@bugs.debian.org, control@bugs.debian.org
Subject: RM: libdigest-sha1-perl -- ROM; Superseeded by Digest::SHA
Date: Tue, 22 Nov 2011 14:08:49 +0100
[Message part 1 (text/plain, inline)]
reassign 594273 ftp.debian.org
retitle 594273 RM: libdigest-sha1-perl -- ROM; functionality provided by Digest::SHA
severity 594273 normal
thanks

Hi ftp-master Team

Could you remove libdigest-sha1-perl from unstable? See the reason
below. We tracked this 'transition' via [1].

 [1] http://deb.li/digestsha

On Wed, Aug 25, 2010 at 01:12:51PM +0900, Ansgar Burchardt wrote:
> Package: libdigest-sha1-perl
> Version: 2.13-1
> Severity: important
> 
> I would like to get rid of this module after Squeeze has been released.
> Its functionality is also provided by Digest::SHA (which is in core).
> 
> Switching from Digest::SHA1 to Digest::SHA should be as easy as
> s,Digest::SHA1,Digest::SHA1,g as Digest::SHA only provides additional
> functions (with the exception of sha1_transform which is no longer
> present).  The (build-)dependency on libdigest-sha1-perl can then be
> removed; Digest::SHA is already included in Lenny's perl.
> 
> Regards,
> Ansgar

Many thanks for your work!

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libdigest-sha1-perl' to 'ftp.debian.org'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 13:12:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libdigest-sha1-perl/2.13-1. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 13:12:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libdigest-sha1-perl -- ROM; functionality provided by Digest::SHA' from 'remove libdigest-sha1-perl some time after Squeeze' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 13:12:14 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 22 Nov 2011 13:12:15 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 23 Nov 2011 09:33:34 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Wed, 23 Nov 2011 09:33:37 GMT) Full text and rfc822 format available.

Message #45 received at 594273-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 594273-close@bugs.debian.org
Cc: libdigest-sha1-perl@packages.debian.org, libdigest-sha1-perl@packages.qa.debian.org
Subject: Bug#594273: Removed package(s) from unstable
Date: Wed, 23 Nov 2011 09:31:55 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libdigest-sha1-perl |     2.13-2 | source
libdigest-sha1-perl |  2.13-2+b1 | amd64, armel, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
ROM; functionality provided by Digest::SHA
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594273@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/594273

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Dec 2011 07:43:44 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Wed, 29 May 2013 11:00:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#594273; Package ftp.debian.org. (Wed, 29 May 2013 11:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 29 May 2013 11:12:08 GMT) Full text and rfc822 format available.

Message #54 received at 594273@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 594273@bugs.debian.org, Ansgar Burchardt <ansgar@2008.43-1.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#594273: RM: libdigest-sha1-perl -- ROM; functionality provided by Digest::SHA
Date: Wed, 29 May 2013 15:11:06 +0400
I'm not sure it is the right place - the RM bugreport -
to add this information to.

The thing is: finally, wheezy is out without this module.
And it turns out that many 3rd-party code still uses the
old name, despite the new name being in core perl for
quite a while.

In particular, when upgrading postgresql.org to wheezy,
this change (removal of Digest::SHA1) was one of the main
issues, significantly bigger than all other together.
There were about 40 modules/programs which used the old
name, which all, at the same time, stopped working, and
it tool quite some efforts to figure it all out and to
make it all work again.

This pain could be reduced significantly by one of at least
two ways:

1.  By documenting the fact that this module is no longer
 available, somewhere in release notes or something like
 that.  One of the issues faced was complete lack of any
 information about this, and even searching does not reveal
 anything useful easily (google finds oldstable package but
 not this removal request).

2. By providing a compatibility layer, a tiny wrapper that
 just maps one namespace into another.  I don't remember how
 this works in perl, but I guess it should be more or less
 trivial to do - so that old Digest::SHA1 name still works
 (maybe printing some deprecation warning or something).

 Either as an additional package (maybe using the same old
 name - libdigest-sha1-perl), or within core perl itself.

One thing is to ensure there's no references to this old
module in debian itself.  And entirely another thing is
user code which we in Debian can't control.  Current situation
is that wheezy breaks user code without any warning or any
easily findable information (like published in NEWS.Debian).

Thanks,

/mjt



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:34:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:14:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.